Bug 1662322 - youtube-dl must depend on python3-setuptools
Summary: youtube-dl must depend on python3-setuptools
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: youtube-dl
Version: 29
Hardware: All
OS: All
unspecified
urgent
Target Milestone: ---
Assignee: Till Maas
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-27 16:56 UTC by Artem S. Tashkinov
Modified: 2019-01-12 19:16 UTC (History)
4 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2018-12-30 01:39:13 UTC


Attachments (Terms of Use)

Description Artem S. Tashkinov 2018-12-27 16:56:47 UTC
The youtube-dl package in Fedora doesn't depend on python3-setuptools and it doesn't work with this module (tested on Twitch).

Please add python3-setuptools as a hard dependency.

Comment 1 Artem S. Tashkinov 2018-12-27 16:57:42 UTC
Sorry, I meant "it doesn't work withOUT this module".

Comment 2 Fedora Update System 2018-12-27 22:09:00 UTC
youtube-dl-2018.12.17-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-ca0392e265

Comment 3 Fedora Update System 2018-12-27 22:09:03 UTC
youtube-dl-2018.12.17-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-cdffcc8ac7

Comment 4 Fedora Update System 2018-12-27 22:09:06 UTC
youtube-dl-2018.12.17-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-069ac5d5af

Comment 5 Fedora Update System 2018-12-27 22:09:09 UTC
youtube-dl-2018.12.17-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-6ed19d7945

Comment 6 Fedora Update System 2018-12-28 06:25:15 UTC
youtube-dl-2018.12.17-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-6ed19d7945

Comment 7 Fedora Update System 2018-12-28 08:31:05 UTC
youtube-dl-2018.12.17-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-cdffcc8ac7

Comment 8 Fedora Update System 2018-12-28 08:35:52 UTC
youtube-dl-2018.12.17-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-069ac5d5af

Comment 9 Fedora Update System 2018-12-28 09:02:11 UTC
youtube-dl-2018.12.17-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-ca0392e265

Comment 10 Fedora Update System 2018-12-30 01:39:13 UTC
youtube-dl-2018.12.17-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2018-12-30 03:21:12 UTC
youtube-dl-2018.12.17-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2019-01-12 03:06:53 UTC
youtube-dl-2018.12.17-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2019-01-12 19:16:23 UTC
youtube-dl-2018.12.17-1.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.